<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPoolPlugin\Form\Extension;

use Dedi\SyliusCustomerPoolPlugin\Form\Type\CustomerPoolChoiceType;
use Sylius\Bundle\AdminApiBundle\Form\Type\CustomerProfileType;
use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\FormBuilderInterface;

final class CustomerProfileTypeExtension extends AbstractTypeExtension
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('customerPool', CustomerPoolChoiceType::class, [
                'required' => false,
            ])
        ;
    }

    public static function getExtendedTypes(): iterable
    {
        return [CustomerProfileType::class];
    }
}
