<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPoolPlugin\Menu;

use Knp\Menu\ItemInterface;
use Sylius\Bundle\UiBundle\Menu\Event\MenuBuilderEvent;

final class CustomerPoolsMenuBuilder
{
    public function addCustomerPools(MenuBuilderEvent $event): void
    {
        /** @var ItemInterface $marketingMenu */
        $marketingMenu = $event->getMenu()->getChild('customers');

        $marketingMenu->addChild('customer_pools', ['route' => 'dedi_sylius_customer_pool_admin_customer_pool_index'])
                      ->setLabel('dedi_sylius_customer_pool.ui.customer_pools')
                      ->setLabelAttribute('icon', 'user secret');
    }
}
